> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete several object store entries

> Deletes the entries named by repeated key query parameters.



## OpenAPI

````yaml /api-reference/endpoint/storage/openapi.json delete /storage/obj/{bucket}/entries
openapi: 3.1.0
info:
  title: quiva.ai Gateway
  description: >-
    A comprehensive interface for managing key-value stores, object stores,
    streams
  contact:
    name: quiva.ai Support
    url: https://quiva.ai/help-center/
  version: 1.0.0
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /storage/obj/{bucket}/entries:
    delete:
      tags:
        - Object Store
      summary: Delete several object store entries
      description: Deletes the entries named by repeated key query parameters.
      operationId: deleteObjectStoreEntries
      parameters:
        - name: bucket
          in: path
          required: true
          schema:
            type: string
        - name: key
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Request refused or invalid
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.